textures/env/fog1024
{
	//sort 9
	fogParms ( 0 0 0 ) 269	//Normalized RGB, distance to opaque
	surfaceparm fog		//Must be used
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	qer_editorImage textures/sfx/fog_grey.tga
	qer_trans 0.4
}

textures/huge/sky
{
	skyParms textures/huge/sky 0 -	//farbox cloudheight nearbox
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm sky			//Must be used
	surfaceparm trans
}
textures/huge/nofog
{

        qer_trans 0.40
        q3map_noFog
        surfaceparm nodraw
        surfaceparm nolightmap
        surfaceparm nonsolid
        surfaceparm trans
        surfaceparm nomarks
}
textures/huge/largelamplight //Defines when to load if selected from texture menu
{
	//sort 1
	qer_editorimage textures/huge/largelamplight.jpg //image displayed in radiant
	q3map_lightimage textures/huge/largelamplight.blend.jpg //emitting pattern
	surfaceparm nomarks //This makes sure no shotmarks cover the lamp
	q3map_surfacelight 1 //This is the setting that makes the texture emit light
	{
		map textures/huge/largelamplight.jpg //Texture displayed in map
	}
	{
		map $lightmap //maps lightmap in
		blendfunc filter //filters dark parts
		tcGen lightmap //generates lightmap
	}
	{
		map textures/huge/largelamplight.blend.jpg //Overlay source, kinda
		blendfunc add //Adds previous image ignoring the darker parts.
	}
}
//textures/huge/ce //Defines when to load if selected from texture menu
//{
	//sort 1
	//qer_editorimage textures/huge/ce.jpg //image displayed in radiant
	//q3map_lightimage textures/huge/ce.jpg //emitting pattern
	//surfaceparm nomarks //This makes sure no shotmarks cover the lamp
	//q3map_surfacelight 1250 //This is the setting that makes the texture emit light
	//{
		//map textures/huge/ce.jpg //Texture displayed in map
	//}
	//{
	//	map $lightmap //maps lightmap in
	//	blendfunc filter //filters dark parts
	//	tcGen lightmap //generates lightmap
	//}
	//{
	//	map textures/huge/ce.jpg //Overlay source, kinda
	//	blendfunc add //Adds previous image ignoring the darker parts.
	//}
//}
textures/huge/ce
{
       qer_editorimage textures/huge/ce.jpg
       
       surfaceparm trans
       surfaceparm nomarks
       surfaceparm nonsolid
       deformVertexes autosprite2
               
       cull none

       {
               map textures/huge/ce.jpg
            //   blendfunc add
               blendfunc gl_one_minus_dst_color gl_one
       }
       //q3map_surfacelight 50
}

textures/huge/red //Defines when to load if selected from texture menu
{
	//sort 1
	qer_editorimage textures/huge/red.jpg //image displayed in radiant
	q3map_lightimage textures/huge/red.jpg //emitting pattern
	surfaceparm nomarks //This makes sure no shotmarks cover the lamp
	q3map_surfacelight 1250 //This is the setting that makes the texture emit light
	{
		map textures/huge/red.jpg //Texture displayed in map
	}
	{
		map $lightmap //maps lightmap in
		blendfunc filter //filters dark parts
		tcGen lightmap //generates lightmap
	}
	{
		map textures/huge/red.jpg //Overlay source, kinda
		blendfunc add //Adds previous image ignoring the darker parts.
	}
}

textures/huge/blue //Defines when to load if selected from texture menu
{
	//sort 1
	qer_editorimage textures/huge/blue.jpg //image displayed in radiant
	q3map_lightimage textures/huge/blue.jpg //emitting pattern
	surfaceparm nomarks //This makes sure no shotmarks cover the lamp
	q3map_surfacelight 1250 //This is the setting that makes the texture emit light
	{
		map textures/huge/blue.jpg //Texture displayed in map
	}
	{
		map $lightmap //maps lightmap in
		blendfunc filter //filters dark parts
		tcGen lightmap //generates lightmap
	}
	{
		map textures/huge/blue.jpg //Overlay source, kinda
		blendfunc add //Adds previous image ignoring the darker parts.
	}
}

//textures/huge/wall //Defines when to load if selected from texture menu
//{
	//sort 1
//	qer_editorimage textures/huge/wall.jpg //image displayed in radiant
//	q3map_lightimage textures/huge/wall.jpg //emitting pattern
//	surfaceparm nomarks //This makes sure no shotmarks cover the lamp
//	q3map_surfacelight 1 //This is the setting that makes the texture emit light
//	{
//		map textures/huge/wall.jpg //Texture displayed in map
//	}
//	{
//		map $lightmap //maps lightmap in
//		blendfunc filter //filters dark parts
//		tcGen lightmap //generates lightmap
//	}
//	{
//		map textures/huge/wall.jpg //Overlay source, kinda
		//blendfunc add //Adds previous image ignoring the darker parts.
//	}
//}

textures/huge/wall //Defines when to load if selected from texture menu
{
	//sort 1
	qer_editorimage textures/huge/wall.jpg //image displayed in radiant
	q3map_lightimage textures/huge/wall.jpg //emitting pattern
	surfaceparm nomarks //This makes sure no shotmarks cover the lamp
	q3map_surfacelight 1 //This is the setting that makes the texture emit light
	{
		map textures/huge/wall.jpg //Texture displayed in map
	}
	{
		map textures/huge/wall.jpg //Overlay source, kinda
		//blendfunc add //Adds previous image ignoring the darker parts.
	}
}
textures/huge/nodraw
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}
